/******************************************************************************/
/* Trigger: DTULTATU_MOTIVODEV                                                */
/* Tabela : MOTIVODEV                                                         */
/* Criao: 03/07/2012 - Mrcio Lima                                          */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_MOTIVODEV' AND
            type = 'TR'                   AND
            u.uid = o.uid                 AND
            u.name = USER)
   DROP TRIGGER DTULTATU_MOTIVODEV
GO

CREATE TRIGGER DTULTATU_MOTIVODEV
ON MOTIVODEV
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			 (SELECT 'MOTIVODEV', NULL, 'CDMOTIVODEV='+''+CDMOTIVODEV+';'+'NMMOTIVODEV='+''+NMMOTIVODEV+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE MOTIVODEV
      SET DTULTATU = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(MOTIVODEV.CDMOTIVODEV,0) = ISNULL(INSERTED.CDMOTIVODEV,0)) AND
            (ISNULL(MOTIVODEV.NMMOTIVODEV,0) = ISNULL(INSERTED.NMMOTIVODEV,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_MOTIVODEV','5.45.xxx';
GO
